patch
/v9/storage/ndmp/snapshots
Set the options that control the snapshot behavior when taking an NDMP backup. These options are only relevant for automatically generated snapshots, and do not affect backups taken via snapshot rules or from the live file system.
CLIENT REQUEST
curl -X 'PATCH'
-H "X-Subsystem-User: [[apiKey]]"
\
-H "X-Subsystem-Password: [[apiKey]]"
\
-H "X-Api-Key: [[apiKey]]"
\
-H "Authorization: Basic [[basicHash]]"
\
-H
'Accept: application/json'
-H
'Content-Type: application/json'
'https://172.27.146.40:8444/v9/storage/ndmp/snapshots'
-d
''
import http.client
conn = http.client.HTTPSConnection("172.27.146.40:8444")
payload = "{\"autoSnapshotCreation\":true,\"deleteAction\":\"IMMEDIATE\",\"maxRetentionDays\":7}"
headers = {
'Authorization': "Basic REPLACE_BASIC_AUTH",
'content-type': "application/json"
}
conn.request("PATCH", "/v9/storage/ndmp/snapshots", payload, headers)
res = conn.getresponse()
data = res.read()
print(data.decode("utf-8"))require 'uri'
require 'net/http'
require 'openssl'
url = URI("https://172.27.146.40:8444/v9/storage/ndmp/snapshots")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
http.verify_mode = OpenSSL::SSL::VERIFY_NONE
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Basic REPLACE_BASIC_AUTH'
request["content-type"] = 'application/json'
request.body = "{\"autoSnapshotCreation\":true,\"deleteAction\":\"IMMEDIATE\",\"maxRetentionDays\":7}"
response = http.request(request)
puts response.read_bodyconst data = JSON.stringify({
"autoSnapshotCreation": true,
"deleteAction": "IMMEDIATE",
"maxRetentionDays": 7
});
const xhr = new XMLHttpRequest();
xhr.withCredentials = true;
xhr.addEventListener("readystatechange", function () {
if (this.readyState === this.DONE) {
console.log(this.responseText);
}
});
xhr.open("PATCH", "https://172.27.146.40:8444/v9/storage/ndmp/snapshots");
xhr.setRequestHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
xhr.setRequestHeader("content-type", "application/json");
xhr.send(data);HttpResponse<String> response = Unirest.patch("https://172.27.146.40:8444/v9/storage/ndmp/snapshots")
.header("Authorization", "Basic REPLACE_BASIC_AUTH")
.header("content-type", "application/json")
.body("{\"autoSnapshotCreation\":true,\"deleteAction\":\"IMMEDIATE\",\"maxRetentionDays\":7}")
.asString();import Foundation
let headers = [
"Authorization": "Basic REPLACE_BASIC_AUTH",
"content-type": "application/json"
]
let parameters = [
"autoSnapshotCreation": true,
"deleteAction": "IMMEDIATE",
"maxRetentionDays": 7
] as [String : Any]
let postData = JSONSerialization.data(withJSONObject: parameters, options: [])
let request = NSMutableURLRequest(url: NSURL(string: "https://172.27.146.40:8444/v9/storage/ndmp/snapshots")! as URL,
cachePolicy: .useProtocolCachePolicy,
timeoutInterval: 10.0)
request.httpMethod = "PATCH"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data
let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
if (error != nil) {
print(error)
} else {
let httpResponse = response as? HTTPURLResponse
print(httpResponse)
}
})
dataTask.resume()<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_PORT => "8444",
CURLOPT_URL => "https://172.27.146.40:8444/v9/storage/ndmp/snapshots",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "{\"autoSnapshotCreation\":true,\"deleteAction\":\"IMMEDIATE\",\"maxRetentionDays\":7}",
CURLOPT_HTTPHEADER => [
"Authorization: Basic REPLACE_BASIC_AUTH",
"content-type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}CURL *hnd = curl_easy_init();
curl_easy_setopt(hnd, CURLOPT_CUSTOMREQUEST, "PATCH");
curl_easy_setopt(hnd, CURLOPT_URL, "https://172.27.146.40:8444/v9/storage/ndmp/snapshots");
struct curl_slist *headers = NULL;
headers = curl_slist_append(headers, "Authorization: Basic REPLACE_BASIC_AUTH");
headers = curl_slist_append(headers, "content-type: application/json");
curl_easy_setopt(hnd, CURLOPT_HTTPHEADER, headers);
curl_easy_setopt(hnd, CURLOPT_POSTFIELDS, "{\"autoSnapshotCreation\":true,\"deleteAction\":\"IMMEDIATE\",\"maxRetentionDays\":7}");
CURLcode ret = curl_easy_perform(hnd);var client = new RestClient("https://172.27.146.40:8444/v9/storage/ndmp/snapshots");
var request = new RestRequest(Method.PATCH);
request.AddHeader("Authorization", "Basic REPLACE_BASIC_AUTH");
request.AddHeader("content-type", "application/json");
request.AddParameter("application/json", "{\"autoSnapshotCreation\":true,\"deleteAction\":\"IMMEDIATE\",\"maxRetentionDays\":7}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);Body parameters
application/json
autoSnapshotCreationbooleanTrue indicates that a file system snapshot will automatically be taken when an NDMP backup is initiated. The snapshot will be used for the backup, rather than the live data
True indicates that a file system snapshot will automatically be taken when an NDMP backup is initiated. The snapshot will be used for the backup, rather than the live data
deleteActionstring (Enum)Indicates when NDMP will delete the snapshots that are automatically created
Indicates when NDMP will delete the snapshots that are automatically created
Allowed values:"IMMEDIATE""OBSOLETE""LAST"
maxRetentionDaysintegerint32Number of days that automatically created snapshots will be retained before they are automatically deleted
Number of days that automatically created snapshots will be retained before they are automatically deleted
Example:
7REQUEST
{
"autoSnapshotCreation": false,
"deleteAction": "IMMEDIATE",
"maxRetentionDays": 7
}Responses